{% extends 'main/base.html' %}
{% load static %}
{% block title %}Дисциплины{% endblock %}
{% load django_bootstrap_breadcrumbs %}
{% block breadcrumbs %}
  {{ block.super }}
  {% breadcrumb 'Дисциплины' 'subjects:index' %}
{% endblock %}
{% block content %}
  {% render_breadcrumbs %}
  <section class="container-fluid flex-grow">
    <div class="container">
      <div class="row">
        <div class="col-sm-6">
          <form class="form-inline" action="{% url "subjects:search" %}" method="get">
            <div class="input-group flex-nowrap col" id="my-search">
              <input class="form-control col" type="search" placeholder="поиск" aria-label="Search" name="q"
                     aria-describedby="addon-wrapping" {% if search %} value={{ search }} {% endif %}>
              <div class="input-group-append">
                <button class="btn btn-primary" type="submit"><i class="fa fa-search"></i></button>
              </div>
            </div>
          </form>
        </div>
      </div>
    </div>

    {% block list %}
      <div class="container">
        <div class="row">
          <div class="col">
            <div class="accordion" id="accordionExample">
              <div class="card">
                <div class="card-header" id="headingOne">
                  <h2 class="mb-0">
                    <button class="btn btn-link" type="button" data-toggle="collapse" data-target="#collapseOne"
                            aria-expanded="true" aria-controls="collapseOne">
                      Бакалавриат
                    </button>
                  </h2>
                </div>
                <div id="collapseOne" class="collapse show" aria-labelledby="headingOne"
                     data-parent="#accordionExample">
                  <div class="card-body">
                    <div class="list-group list-group-flush">
                      {% for speciality in specialities %}
                        {% if speciality.grade == 'b' %}
                          <a href="{% url 'subjects:speciality' speciality.id %}"
                             class="list-group-item list-group-item-action">
                            {{ speciality.cipher }} {{ speciality.name }}
                          </a>
                        {% endif %}
                      {% endfor %}
                    </div>
                  </div>
                </div>
              </div>
              <div class="card">
                <div class="card-header" id="headingTwo">
                  <h2 class="mb-0">
                    <button class="btn btn-link collapsed" type="button" data-toggle="collapse"
                            data-target="#collapseTwo"
                            aria-expanded="false" aria-controls="collapseTwo">
                      Магистратура
                    </button>
                  </h2>
                </div>
                <div id="collapseTwo" class="collapse" aria-labelledby="headingTwo" data-parent="#accordionExample">
                  <div class="card-body">
                    <div class="list-group list-group-flush">
                      {% for speciality in specialities %}
                        {% if speciality.grade == 'm' %}
                          <a href="{% url 'subjects:speciality' speciality.id %}"
                             class="list-group-item list-group-item-action">
                            {{ speciality.cipher }} {{ speciality.name }}
                          </a>
                        {% endif %}
                      {% endfor %}
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    {% endblock %}
  </section>
{% endblock %}
